Job reports
POST /reports/{id}/resolve Moderator
Resolve a report, optionally closing the job and telling the reporter.
Path parameters
idinteger required- The report id.Example
3
Body
close_jobboolean- Soft-close the reported job.Example
true notestring- What you did about the report. Emailed to the reporter verbatim when notify_reporter is set, and stored as the review reason either way.Example
Fixed — the job is now marked hybrid notify_reporterboolean- Email the reporter this decision. Defaults to false when omitted.Example
true
curl -X POST "https://freehire.me/api/v1/reports/3/resolve" \
-H "Authorization: Bearer $MODERATOR_API_KEY" \
-H 'Content-Type: application/json' \
-d '{"close_job":true,"note":"Fixed — the job is now marked hybrid","notify_reporter":true}'{ "data": { "id": 3, "status": "resolved", "notified": true } }